# pandas.read_parquet

`pandas.``read_parquet`(path, engine='auto', columns=None, **kwargs)

  Load a parquet object from the file path, returning a DataFrame.

  Parameters:

  path : string

  > File path

  columns: list, default=None

  > If not None, only these columns will be read from the file.

  engine : {‘auto’, ‘pyarrow’, ‘fastparquet’}, default ‘auto’

  > Parquet reader library to use. If ‘auto’, then the option ‘io.parquet.engine’ is used. If ‘auto’, then the first library to be installed is used.

  kwargs are passed to the engine

  Returns: | DataFrame

Scroll To Top